﻿// ========================================================================
//
// Copyright (C) 2016-2017 MARC CHEVALDONNE
//                         marc.chevaldonne.free.fr
//
// Module        : AlbumDBEntities.cs
// Author        : Marc Chevaldonné
// Creation date : 2016-10-19
//
// ========================================================================


using Microsoft.EntityFrameworkCore;

namespace ex_042_008_EF_CF_One_to_Many
{
    /// <summary>
    /// La classe qui dérive de DbContext est celle qui permettra de faire les opérations CRUD sur le modèle.
    /// Cette classe contient deux DbSet<T> pour permettre de réaliser des opérations CRUD sur les types T, ici Album et Morceau.
    /// </summary>
    public class AlbumDBEntities : DbContext
    {
        public virtual DbSet<Album> Albums { get; set; }
        public virtual DbSet<Morceau> Morceaux { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlServer(@"Server=(localdb)\mssqllocaldb;Database=ex_042_008_EF_CF_One_to_Many.Albums.mdf;Trusted_Connection=True;");
        }
    }
}
